Summary: A collection of basic system utilities.
Name: util-linux
Version: 2.10m
Release: C2
Copyright: distributable
Group: System Environment/Base
Source: ftp://ftp.kernel.org/mirrors/linux/utils/util-linux/util-linux-%{version}.tar.bz2
Patch0: util-linux-2.10c-rhconfig.patch
Patch1: util-linux-2.10e-nochkdupexe.patch
Patch2: util-linux-2.9i-nomount.patch
Patch3: util-linux-2.9o-btmp.patch
Patch4: util-linux-2.10f-moretc.patch
Patch5: util-linux-2.10k-overflow.patch
Patch6: util-linux-2.10k-glibc.patch
Patch7: util-linux-2.10m-rawdisk.patch
Patch8: util-linux-2.11n-setpwrace.patch
#Patch9: util-linux-2.10l-kernel.patch

Obsoletes: fdisk tunelp
BuildRoot: %{_tmppath}/%{name}-root
Requires: pam >= 0.66, kernel >= 2.2.12

%description
The util-linux package contains a large variety of low-level system
utilities that are necessary for a Linux system to function.  Among
many features, Util-linux contains the fdisk configuration tool and
the login program.

%prep

%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1 -b .setpwrace
#%patch9 -p0 -b .kernel

%build
unset LINGUAS || :
./configure
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{bin,etc/pam.d,sbin}
mkdir -p $RPM_BUILD_ROOT/usr/{bin,info,lib,man/man1,man/man6,man/man8,sbin}
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/{cs,de,fr,it,ja,nl,pt_BR}/LC_MESSAGES

make install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf $RPM_BUILD_ROOT/usr/info/ipc.info

for FILE in /sbin/fdisk /bin/login /usr/bin/chfn /usr/bin/chsh /usr/bin/newgrp ; do
	strip $RPM_BUILD_ROOT/$FILE || :
done

rm -f $RPM_BUILD_ROOT/sbin/clock
ln -s hwclock $RPM_BUILD_ROOT/sbin/clock

chmod 644 $RPM_BUILD_ROOT/usr/lib/getopt/*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/share/locale/*/LC_MESSAGES/*

/sbin/clock
/sbin/hwclock
/usr/man/man8/hwclock.8*

/usr/sbin/tunelp
/usr/man/man8/tunelp.8*

/sbin/fdisk
/sbin/cfdisk

/usr/bin/raw
/usr/man/man8/raw.8*

/sbin/mkfs
/sbin/mkswap

/usr/bin/fdformat
/usr/bin/setfdprm
%config /etc/fdprm

/usr/man/man8/fdformat.8*
/usr/man/man8/mkswap.8*
/usr/man/man8/setfdprm.8*

/usr/bin/ddate
/usr/man/man1/ddate.1*

%attr(755,root,root)	/bin/login
%attr(4711,root,root)	/usr/bin/chfn
%attr(4711,root,root)	/usr/bin/chsh
%attr(4711,root,root)	/usr/bin/newgrp

/usr/sbin/vipw
/usr/sbin/vigr
/usr/man/man1/chfn.1*
/usr/man/man1/chsh.1*
/usr/man/man1/login.1*
/usr/man/man1/newgrp.1*
/usr/man/man8/vipw.8*
/usr/man/man8/vigr.8*

/bin/kill
/usr/bin/cal
/usr/bin/logger
/usr/bin/look
/usr/bin/mcookie
/usr/bin/namei
/usr/bin/script
/usr/bin/setterm
/usr/bin/whereis

%attr(2755,root,tty)	/usr/bin/write

/usr/bin/getopt
/usr/man/man1/cal.1*
/usr/man/man1/kill.1*
/usr/man/man1/logger.1*
/usr/man/man1/look.1*
/usr/man/man1/mcookie.1*
/usr/man/man1/namei.1*
/usr/man/man1/script.1*
/usr/man/man1/setterm.1*
/usr/man/man1/whereis.1*
/usr/man/man1/write.1*
/usr/man/man1/getopt.1*

/usr/lib/getopt

/bin/dmesg
/sbin/ctrlaltdel
/sbin/kbdrate
/bin/arch
/usr/bin/ipcrm
/usr/bin/ipcs
/usr/bin/renice
/usr/sbin/readprofile
/usr/bin/setsid
/usr/bin/cytune

/usr/man/man1/arch.1*
/usr/man/man1/readprofile.1*
/usr/man/man8/cytune.8*
/usr/man/man8/ctrlaltdel.8*
/usr/man/man8/dmesg.8*
/usr/man/man8/ipcrm.8*
/usr/man/man8/ipcs.8*
/usr/man/man8/kbdrate.8*
/usr/man/man8/renice.8*
/usr/man/man8/setsid.8*

/usr/sbin/rdev
/usr/sbin/ramsize
/usr/sbin/rootflags
/usr/sbin/swapdev
/usr/sbin/vidmode
/usr/man/man8/rdev.8*
/usr/man/man8/ramsize.8*
/usr/man/man8/rootflags.8*
/usr/man/man8/swapdev.8*
/usr/man/man8/vidmode.8*

/usr/info/ipc.info.gz

/usr/bin/col
/usr/bin/colcrt
/usr/bin/colrm
/usr/bin/column
/usr/bin/hexdump
/usr/bin/rename
/usr/bin/rev
/usr/bin/ul

/usr/man/man1/col.1*
/usr/man/man1/colcrt.1*
/usr/man/man1/colrm.1*
/usr/man/man1/column.1*
/usr/man/man1/hexdump.1*
/usr/man/man1/rename.1*
/usr/man/man1/rev.1*
/usr/man/man1/ul.1*

/bin/more
/usr/man/man1/more.1*
/usr/lib/more.help

/usr/man/man8/mkfs.8*
/usr/man/man8/fdisk.8*
/usr/man/man8/cfdisk.8*

%doc */README.*

/sbin/sfdisk
/usr/man/man8/sfdisk.8*
%doc fdisk/sfdisk.examples

%changelog
* Tue Jul 30 2002 Jesse Throwe <jesse.throwe@sun.com> 2.10m-C2
- security patch PR 15673

* Tue Jun 20 2000 Duncan Laurie <duncan@cobalt.com> 2.10m-C1
- clean up messy spec file
- remove unnecessary patches
- update to latest version
- add patch to fix raw disk-utils

* Tue May 09 2000 Duncan Laurie <duncan@cobalt.com> 2.10l-C1
- remove pam configuration files
- build for cobalt raq4

